LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Attributes | List of all members
EnhancedCustomShapeTextPath Service Reference

This service may be represented by a com::sun::star::beans::PropertyValue []. More...

`import"EnhancedCustomShapeTextPath.idl";`

## Public Attributes
boolean | TextPath
| This property specifies if a text path is used. More...
::com::sun::star::drawing::EnhancedCustomShapeTextPathMode | TextPathMode
| This property specifies how the text is drawn. More...
boolean | ScaleX
| This property specifies if the text is scaled using the shape path. More...

## Detailed Description

This service may be represented by a com::sun::star::beans::PropertyValue [].

## Member Data Documentation

boolean ScaleX
| optional property

This property specifies if the text is scaled using the shape path.

boolean TextPath
| optional property

This property specifies if a text path is used.

The default is false.

::com::sun::star::drawing::EnhancedCustomShapeTextPathMode TextPathMode
| optional property

This property specifies how the text is drawn.

The documentation for this service was generated from the following file:

- com/sun/star/drawing/EnhancedCustomShapeTextPath.idl